%global srcname django-setuptest

Name:           python-django-setuptest
Version:        0.2.1
Release:        4%{?dist}
Summary:        Simple module enabling Django app testing

License:        BSD
URL:            https://github.com/praekelt/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/d/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-coverage
BuildRequires:  python-pep8
BuildRequires:  python2-setuptools
BuildRequires:  python-six
BuildRequires:  python2-django

BuildRequires:  python3-devel
BuildRequires:  python3-coverage
BuildRequires:  python3-pep8
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-django


%description
Simple module enabling Django app testing via
$ python setup.py test.


%package -n python2-%{srcname}
Summary:    %{summary}
Requires:   python2-django
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Simple Python 2 module enabling Django app testing via
$ python setup.py test.


%package -n python3-%{srcname}
Summary:  %{summary}
Requires:   python3-django
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Simple Python 3 module enabling Django app testing via
$ python setup.py test.


%prep
%setup -q -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%doc README.rst CHANGELOG.rst
%license LICENSE
%{python2_sitelib}/setuptest
%{python2_sitelib}/django_setuptest-*.egg-info

%files -n python3-%{srcname}
%doc README.rst CHANGELOG.rst
%license LICENSE
%{python3_sitelib}/setuptest
%{python3_sitelib}/django_setuptest-*.egg-info


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.1-2
- Rebuild for Python 3.6

* Mon Aug 29 2016 Dominika Krejci <dkrejci@redhat.com> - 0.2.1
- Update to 0.2.1
- Add Python 3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 16 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.1.4-2
- add python-six

* Thu Jan 16 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.1.4-1
- New Upstream version
- remove some lines not necessary

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 03 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.2-3
- change BuildRequires python-devel to python2-devel
- change BuildRequires python-setuptools-devel to python-setuptools
- add if in BuildRequires if f18 require python-django else use django

* Fri Aug 03 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.2-2
- add check section
- add README
- add BuildRequires coverage and pep8

* Fri Aug 03 2012 Luis Bazan <lbazan@fedoraproject.org> - 0.1.2-1
- Initial Import



